/*
NAME
	proxy-via-http.h

SYNOPSYS
	int
	proxy_via_http (register FILE *const xfile,
	                register char const *const id,
	                register char const *const proxied_host_name,
	                register unsigned const proxied_port,
	                register unsigned const io_timeout,
	                register Bool const pverbose);
	
	int
	proxy_via_http_2 (register FILE *const xfile,
	                  register char const *const id,
	                  register char const *const proxied_host_name,
	                  register unsigned const proxied_port,
	                  register unsigned const io_timeout,
	                  register Bool const pverbose);

DESCRIPTION
	Given an already opened stdio file handle that has already been
	connected to some HTTP proxy server, use the HTTP CONNECT or the
	variant HTTP CONNECT protocol to connect through the proxy to some
	other server elsewhere.

AUTHOR
	Ronald F. Guilmette <rfg@monkeys.com>

COPYRIGHT
	Copyright (c) 2002 Ronald F. Guilmette; All rights reserved.

	The author and copyright holder of this software specifically and
	explicitly DISALLOWS any and all uses of this software, or any
	compiled and/or derivative version thereof for any and all commercial
	purposes without the express written permission of the copyright
	holder to the contrary.

	Requests for permission to use this software, or any compiled and/or
	derivative work thereof, either in a commercial context or for com-
	mercial gain or for any commercial purpose should be e-mailed to the
	copyright holder at the e-mail address given above.

DISCLAIMER
	THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS''
	AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
	TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
	PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR
	OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
	SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
	LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
	USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
	AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
	OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
	OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
	SUCH DAMAGE.
*/

extern int
proxy_via_http (register FILE *const xfile,
                register char const *const id,
                register char const *const proxied_host_name,
                register unsigned const proxied_port,
                register unsigned const io_timeout,
                register Bool const pverbose);

extern int
proxy_via_http_2 (register FILE *const xfile,
                  register char const *const id,
                  register char const *const proxied_host_name,
                  register unsigned const proxied_port,
                  register unsigned const io_timeout,
                  register Bool const pverbose);
